from django import template

register = template.Library()


@register.filter(name='is_professor')
def is_professor(user):
    return user.groups.filter(name='professor').exists()


@register.filter(name='is_student')
def is_student(user):
    return user.groups.filter(name='student').exists()


@register.filter(name='times')
def times(number):
    return range(1, number + 1)
