from django.contrib.auth.forms import AuthenticationForm


def is_professor(user):
    return user.groups.filter(name='professor').exists()


def is_student(user):
    return user.groups.filter(name='student').exists()


def contextWithHeader(context, request):
    context['user'] = request.user
    context['loginForm'] = AuthenticationForm()
    return context
